# `HDF5_jll.jl` (v1.14.3+1)

[![deps](https://juliahub.com/docs/HDF5_jll/deps.svg)](https://juliahub.com/ui/Packages/HDF5_jll/w9xrx?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/9a9400fa0bda86a0b082cec1a63974ca3b1c0a3d/H/HDF5/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `HDF5_jll.jl` have been built from these sources:

* compressed archive: https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.14/hdf5-1.14.3/src/hdf5-1.14.3.tar.bz2 (SHA256 checksum: `9425f224ed75d1280bb46d6f26923dd938f9040e7eaebf57e66ec7357c08f917`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/9a9400fa0bda86a0b082cec1a63974ca3b1c0a3d/H/HDF5/bundled)

## Platforms

`HDF5_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran3-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran3-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran3-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran3-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran4-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran4-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran4-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran4-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran3-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran3-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran3-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran3-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran4-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran4-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran4-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran4-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran3-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran3-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran4-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran4-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran3-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran3-cxx03-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran3-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran3-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran4-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran4-cxx03-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran4-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran4-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran3-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran3-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran3-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran3-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran4-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran4-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran4-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran4-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran3-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran3-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran3-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran3-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran4-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran4-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran4-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran4-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran3-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran3-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran3-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran3-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran4-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran4-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran4-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran4-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran3-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran3-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran3-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran3-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran4-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran4-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran4-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran4-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=3.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran3-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=3.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran3-cxx11-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=4.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran4-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=4.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran4-cxx11-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx03, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran5-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`i686-w64-mingw32-libgfortran5-cxx11-mpi+microsoftmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran3-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran3-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran3-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran3-cxx11-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran4-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran4-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran4-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran4-cxx11-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran3-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran3-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran3-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran4-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran4-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran4-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran3-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran3-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran3-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran3-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran3-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran3-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran4-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran4-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran4-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran4-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran4-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran4-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran3-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran3-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran3-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran3-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran4-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran4-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran4-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran4-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-cxx11-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran3-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran3-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran4-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran4-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran5-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran5-mpi+openmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=3.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran3-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=3.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran3-cxx11-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=4.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran4-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=4.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran4-cxx11-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran5-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, libgfortran_version=5.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran5-cxx11-mpi+microsoftmpi`)

## Dependencies

The following JLL packages are required by `HDF5_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`LibCURL_jll`](https://github.com/JuliaBinaryWrappers/LibCURL_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)
* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libaec_jll`](https://github.com/JuliaBinaryWrappers/libaec_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libhdf5`
* `LibraryProduct`: `libhdf5_cpp`
* `LibraryProduct`: `libhdf5_fortran`
* `LibraryProduct`: `libhdf5_hl`
* `LibraryProduct`: `libhdf5_hl_cpp`
* `LibraryProduct`: `libhdf5_hl_fortran`
* `ExecutableProduct`: `h5clear`
* `ExecutableProduct`: `h5copy`
* `ExecutableProduct`: `h5debug`
* `ExecutableProduct`: `h5delete`
* `ExecutableProduct`: `h5diff`
* `ExecutableProduct`: `h5dump`
* `ExecutableProduct`: `h5format_convert`
* `ExecutableProduct`: `h5import`
* `ExecutableProduct`: `h5jam`
* `ExecutableProduct`: `h5ls`
* `ExecutableProduct`: `h5mkgrp`
* `ExecutableProduct`: `h5perf_serial`
* `ExecutableProduct`: `h5repack`
* `ExecutableProduct`: `h5repart`
* `ExecutableProduct`: `h5stat`
* `ExecutableProduct`: `h5unjam`
* `ExecutableProduct`: `h5watch`
